Page MenuHomePhabricator

Branch REL1_34 for MediaWiki and deployed extensions
Closed, ResolvedPublic

Event Timeline

Jdforrester-WMF changed the task status from Open to Stalled.Sep 4 2019, 9:30 PM
Jdforrester-WMF added a subscriber: thcipriani.

To be done on 2019-09-30 alongside the wmf.25 branch cut in T220750 which @thcipriani will be doing.

Jdforrester-WMF changed the task status from Stalled to Open.Tue, Oct 1, 6:41 PM
thcipriani assigned this task to dduvall.Wed, Oct 2, 2:15 PM
thcipriani added subscribers: dduvall, mmodell.

Tentatively assigning to @dduvall following IRC discussion on Monday.

Really this is a @dduvall @mmodell pairing item since @mmodell's branch.py expertise is required.

thcipriani triaged this task as Normal priority.Wed, Oct 2, 2:16 PM
Paladox added a subscriber: Paladox.Wed, Oct 2, 2:17 PM

Mentioned in SAL (#wikimedia-releng) [2019-10-04T18:34:10Z] <marxarelli> branching REL1_34 for all wmf-deployed extensions, mediawiki/tools/release/make-release/branch.py REL1_34 --bundle wmf --branchpoint wmf/1.34.0-wmf.25 --core-version 1.34.0 cc: T232024

Mentioned in SAL (#wikimedia-releng) [2019-10-04T18:55:30Z] <marxarelli> branching REL1_34 for remaining extensions/skins and core, mediawiki/tools/release/make-release/branch.py REL1_34 --bundle '*' --core --branchpoint master --core-version 1.34.0 (note: core branchpoint is overridden in settings.yaml at base of wmf/1.34.0-wmf.25) cc: T232024

Change 540946 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[mediawiki/tools/release@master] Set manual branchpoint for mediawiki/core REL1_34

https://gerrit.wikimedia.org/r/540946

Mentioned in SAL (#wikimedia-releng) [2019-10-04T19:34:49Z] <marxarelli> re-running mediawiki/tools/release/make-release/branch.py --bundle '*' ... due to https://gerrit.wikimedia.org/r/c/mediawiki/tools/release/+/540953 cc: T232024

Change 540946 abandoned by Dduvall:
Set manual branchpoint for mediawiki/core REL1_34

Reason:
Currently reworking the script in a way that makes this unnecessary

https://gerrit.wikimedia.org/r/540946

Change 540979 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[mediawiki/tools/release@master] Provide branch-version.py for tarball release branching

https://gerrit.wikimedia.org/r/540979

Change 540979 merged by jenkins-bot:
[mediawiki/tools/release@master] Provide branch-version.py for tarball release branching

https://gerrit.wikimedia.org/r/540979

dduvall closed this task as Resolved.Tue, Oct 8, 5:25 PM

The REL1_34 branch has been created for all active repos and core was prepared with submodules from the "base" bundle. I initially had some trouble with the branch.py script but got it fixed up in the end. I also moved its implementation to a shared module and created a branch-version.py script which should ease the entire process for the next branch cut.

See https://www.mediawiki.org/wiki/Release_branching for details.